package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 护理申请对象 care_applications
 * 
 * @author qy
 * @date 2024-11-25
 */
public class CareApplications extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 护理申请表的唯一标识符 */
    private Long applyId;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long personId;

    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    private String personName;

    /** 护理需求详情 */
    @Excel(name = "护理需求详情")
    private String careNeeds;

    /** 首选护理人员性别 */
    @Excel(name = "首选护理人员性别")
    private String nurseGender;

    /** 所在医院 */
    @Excel(name = "所在医院")
    private String hospital;

    /** 科室具体楼层房间床号 */
    @Excel(name = "科室具体楼层房间床号")
    private String address;

    /** 预计天数 */
    @Excel(name = "预计天数")
    private String careDays;

    /** 申请日期 */
    @Excel(name = "申请日期")
    private String applyDate;

    /** 申请状态(待审核、同意、不同意、待指派、已指派) */
    @Excel(name = "申请状态(待审核、同意、不同意、待指派、已指派)")
    private String status;

    /** 处理状态(正在进行 0、已完成 1) */
    @Excel(name = "处理状态(未开始、正在进行、已完成 )")
    private String dealStatus;
    private String NotDealStatus;

    public String getNotDealStatus() {
        return NotDealStatus;
    }

    public void setNotDealStatus(String notDealStatus) {
        NotDealStatus = notDealStatus;
    }

    /** 支付状态(未结算 0、已结算 1) */
    @Excel(name = "支付状态(未结算 0、已结算 1)")
    private String payStatus;

    /** 审核原因 */
    @Excel(name = "审核原因")
    private String auditReason;

    /** 指派：id、护理公司、护理人员、备注 */
    private Long assignId;
    private Long companyId;
    private Long nurseId;
    private String assignRemark;
    /** 护理人姓名 */
    private String nurseName;

    public Long getAssignId() {
        return assignId;
    }

    public void setAssignId(Long assignId) {
        this.assignId = assignId;
    }

    public String getAssignRemark() {
        return assignRemark;
    }

    public void setAssignRemark(String assignRemark) {
        this.assignRemark = assignRemark;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getNurseId() {
        return nurseId;
    }

    public void setNurseId(Long nurseId) {
        this.nurseId = nurseId;
    }

    public String getNurseName() {
        return nurseName;
    }

    public void setNurseName(String nurseName) {
        this.nurseName = nurseName;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    /** 护理人所在公司 */
    private String hospitalName;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setPersonId(Long personId) 
    {
        this.personId = personId;
    }

    public Long getPersonId() 
    {
        return personId;
    }
    public void setPersonName(String personName) 
    {
        this.personName = personName;
    }

    public String getPersonName() 
    {
        return personName;
    }
    public void setCareNeeds(String careNeeds) 
    {
        this.careNeeds = careNeeds;
    }

    public String getCareNeeds() 
    {
        return careNeeds;
    }
    public void setNurseGender(String nurseGender) 
    {
        this.nurseGender = nurseGender;
    }

    public String getNurseGender() 
    {
        return nurseGender;
    }
    public void setHospital(String hospital) 
    {
        this.hospital = hospital;
    }

    public String getHospital() 
    {
        return hospital;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setCareDays(String careDays) 
    {
        this.careDays = careDays;
    }

    public String getCareDays() 
    {
        return careDays;
    }
    public void setApplyDate(String applyDate) 
    {
        this.applyDate = applyDate;
    }

    public String getApplyDate() 
    {
        return applyDate;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDealStatus(String dealStatus) 
    {
        this.dealStatus = dealStatus;
    }

    public String getDealStatus() 
    {
        return dealStatus;
    }
    public void setPayStatus(String payStatus) 
    {
        this.payStatus = payStatus;
    }

    public String getPayStatus() 
    {
        return payStatus;
    }
    public void setAuditReason(String auditReason) 
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason() 
    {
        return auditReason;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("applyId", getApplyId())
            .append("personId", getPersonId())
            .append("personName", getPersonName())
            .append("careNeeds", getCareNeeds())
            .append("nurseGender", getNurseGender())
            .append("hospital", getHospital())
            .append("address", getAddress())
            .append("careDays", getCareDays())
            .append("applyDate", getApplyDate())
            .append("status", getStatus())
            .append("dealStatus", getDealStatus())
            .append("payStatus", getPayStatus())
            .append("auditReason", getAuditReason())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
